#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# script de rcupration de la sortie de findsmb

__authors__ = "joel"
__date__ = "septembre 2003"

__version__ = "$Id: engine-findsmb v1.0"

import os
import re

# nous lanons findsmb et rcuprons la sortie 
smb = "findsmb"
entree, sortie = os.popen2(smb)
resultat = sortie.read()

# nous mettons chaque connexion dans une liste
connexion = []
for ligne in resultat.split('\n') :
    if ligne : 
        donnees = re.split(" +", ligne)
        connexion.append(donnees)
# les entrees commencent  la troisime ligne
# les renseignements utiles sont les suivants

#    print "IP : " , entree[0]
#    print "Nom : " , entree[1]
#    print " : " , entree[2]

def dump_html(connexions):
    """sortie html des donnes de connexion
    connexions : liste 
    """
    html = '<table border=1>'
    html += '<tr><td>adresse IP<td>Nom Netbios</td><td>Domaine</td></tr>'
    for entree in connexions :
        l = []
        l.append("<tr>")
        l.append(dump_ligne(entree[0]))
        l.append(dump_ligne(entree[1].strip()))
        l.append(dump_ligne(dump_crochets(entree[2])))
        l.append("</tr>")
        html += "\n".join(l)
    html += '</table>'
    return (html)

def dump_ligne(entree):
    """sortie html pour une donnee de connexion
    ligne : liste contenant une donne
    """
    return('<td>'+entree+'</td>')
    
def dump_crochets(domaine) :
    """formatage html du domaine
    on pend que ce qui est entre crochets
    """
    if (domaine is not ""):
        try:
            return (domaine[domaine.index('[')+1:domaine.index(']')])
        except:
            return (domaine)
    else:
        return domaine

try :
    print dump_html(connexion[2:])
    
except :
    print '<br>Rseau encombr, ressayez plus tard !<br><br>'

