#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# script de rcupration de la sortie de repquota -a

__authors__ = "joel"
__date__ = "septembre 2003"

__version__ = "$Id: engine-findsmb v1.0"

import os
import re

# nous lanons findsmb et rcuprons la sortie 
commande = "/usr/bin/sudo /usr/sbin/repquota -a"
entree, sortie = os.popen2(commande)
resultat = sortie.read()

# nous mettons chaque connexion dans une liste
connexion = []
for ligne in resultat.split('\n') :
    if ligne : 
        donnees = re.split(" +", ligne)
        connexion.append(donnees)
# les entrees commencent  la troisime ligne
# les renseignements utiles sont les suivants

#    print "USER : " , entree[0]
#    print "Dpasse : " , entree[1]
#    print "USED : " , entree[2]
#    print "Quota(soft) : " , entree[3]
#    print "Dlai : " , entree[5] (si activ)

def dump_html(connexions):
    """sortie html des donnes de connexion
    connexions : liste 
    """
    html = '<table border=1>'
    html += '<tr><td align=center>Utilisateur<td align=center>Espace utilis</td><td align=center>Dlais</td></tr>'
    for entree in connexions :
        l = []
        l.append("<tr>")
        l.append(dump_ligne(entree[0]))
	# espace utilis en Mo => mettre en float si ncessaire
	used=str(int(entree[2])/1000)
	have=str(int(entree[3])/1000)
	if (entree[4] == "0"):
	    # pas de quota
	    l.append(dump_ligne(used+' Mo'))
	    l.append(dump_ligne('-'))
        elif (entree[1] == "+-"):
	    # quota dpass
            l.append(dump_ligne('<font color=red>'+used+'/'+have+' Mo'+'</font>'))
            l.append(dump_ligne(delai(entree[5])))
	else :
	    # quota respect
            l.append(dump_ligne(used+'/'+have+' Mo'))
	    l.append(dump_ligne('-'))
        l.append("</tr>")
        html += "\n".join(l)
    html += '</table>'
    return (html)

def dump_ligne(entree):
    """sortie html pour une donnee de connexion
    ligne : liste contenant une donne
    """
    return('<td align=center>'+entree+'</td>')
    
def delai(temps) :
    """formatage du temps
        15.30 => 15 heures 30
	2days => 2 jours
    """
    temps=temps.replace('days',' jours')
    temps=temps.replace(':',' heures ')
    return temps

#try :
    # 5 lignes  virer ?
print dump_html(connexion[5:])
    
#except :
#print '<br>Erreur !<br><br>'
