<?php

// d'après le travail de Fabrice Lacambra
// académie de Versailles

// test si les champs sont remplis
if (isset($groupe) and isset($share) and isset($sticky)){
   // recherche de la présence du partage dans le ldap
   // pour les partages, il y a des trucs devant le cn (ex : smb://horus/partage)
   if (existe("*/$share",'partages')==1) {
      $contenu.="partage $share déjà existant<br>";
   }
   else {
      // bricolage pour pouvoir sortir !
      $erreur_lettre="";
      // traitement lettre de lecteur
      if ($lettre) {
         $lettre=strtoupper($lettre);
         if (preg_match("/^[A-Z]:$/",$lettre)) {
            $str_lettre1="-l $lettre";
	    $str_lettre2="$lettre";
	    $contenu_lettre="<br><br>Réservation de la lettre de lecteur '$lettre'";
	    // lettre déjà prise !!!	    
	    if ($p=reservee($lettre)) {
	       $erreur_lettre.="La lettre de lecteur '$lettre' est déjà resevée pour le partage '$p'<br>
	       Veuillez choisir une autre lettre de lecteur";
	    }
         }
         else {
            $erreur_lettre.="Lettre de lecteur '$lettre' invalide<br>
	    Veuillez saisir une lettre de lecteur valide<br>";
         }
      }      
      if ($erreur_lettre=="") {
	 if ($sticky == 1) $opt_s = '-s';
	 else $opt_s = "";
         // recherche de la présence du groupe dans le ldap
         if (existe($groupe,'groupes')==1) {
            $contenu.="Création du partage $share attribué au groupe $groupe<br><br>";
            $contenu.=`/usr/bin/sudo /usr/share/eole/backend/ajout_partage.py $str_lettre1 -g $groupe -n $share $opt_s`;
         }
         else {
            $contenu.="Création du partage $share et du groupe $groupe correspondant<br><br>";
            $contenu.=`/usr/bin/sudo /usr/share/eole/backend/ajout_groupe.py $groupe $share $str_lettre2 $opt_s`;
         }
	 $contenu.= $contenu_lettre;
         $contenu.= "<br><br>synchronisation des fichiers<br>";
         `/usr/bin/sudo /usr/share/horus/synchro-file.py`;
      }
      else {
         $contenu.=$erreur_lettre;
      }
   }
}
else {
   $contenu.="Il faut remplir les champs nom du partage et nom du groupe<br>";
}

?>
