#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# script de rcupration de la sortie de smbstatus

__authors__ = "gwen, joel"
__date__ = "2 juin 2003"

__version__ = "$Id: engine-smbstatus.py,v 1.1.1.1 2004/01/05 10:25:51 eole Exp $"

import os
import re

# nous lanons smbstatus et rcuprons la sortie 
smb = "smbstatus -S"
entree, sortie = os.popen2(smb)
resultat = sortie.read()

# nous mettons chaque connexion dans une liste
connexion = []
for ligne in resultat.split('\n') :
    if ligne : 
        donnees = re.split(" +", ligne)
        connexion.append(donnees)
# les entrees commencent  la troisime ligne
# les renseignements utiles sont les suivants

#     print "l'uid est  : " , entree[1]
#     print "le partage est : " , entree[0]
#     print "la machine est  : " , entree[4]
#     print "la date est  : " , entree[6:11]

def dump_html(connexions):
    """sortie html des donnes de connexion
    connexions : liste 
    """
    html = '<table border=1>'
    html += '<tr><td>utilisateur</td><td>partage</td><td>machine</td><td>horaire</td></tr>'
    for entree in connexions :
        l = []
        l.append("<tr>")
        l.append(dump_ligne(entree[1]))
        l.append(dump_ligne(entree[0]))
        l.append(dump_ligne(entree[4]))
        l.append(dump_ligne(dump_date(entree[6:11])))
        l.append("</tr>")
        html += "\n".join(l)
    html += '</table>'
    return (html)

def dump_ligne(entree):
    """sortie html pour une donnee de connexion
    ligne : liste contenant une donne
    """
    return('<td>'+entree+'</td>')
    
def dump_date(date) :
    """formatage html de la date 
    date : liste contenant les donnes de la date
    """
    return(date[2]+' '+date[1]+ ' '+date[4]+' &agrave '+date[3])

#try :
print dump_html(connexion[3:])
    
#except :
#    print 'Aucune connexion active<br><br>'


