#!/bin/bash
#MENU=Post installation pour GEP
echo "GEP: application des droits version 5 du 15/02/2006"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gep,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gep"
	/usr/share/eole/backend/ajout_groupe.py gep
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepabs,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepabs"
	/usr/share/eole/backend/ajout_groupe.py gepabs
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepaff,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepaff"
	/usr/share/eole/backend/ajout_groupe.py gepaff
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepbee,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepbee"
	/usr/share/eole/backend/ajout_groupe.py gepbee
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepcee,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepcee"
	/usr/share/eole/backend/ajout_groupe.py gepcee
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepcet,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepcet"
	/usr/share/eole/backend/ajout_groupe.py gepcet
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepcng,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepcng"
	/usr/share/eole/backend/ajout_groupe.py gepcng
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepeep,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepeep"
	/usr/share/eole/backend/ajout_groupe.py gepeep
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepget,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepget"
	/usr/share/eole/backend/ajout_groupe.py gepget
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepgfe,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepgfe"
	/usr/share/eole/backend/ajout_groupe.py gepgfe
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepgin,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepgin"
	/usr/share/eole/backend/ajout_groupe.py gepgin
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gepnot,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gepnot"
	/usr/share/eole/backend/ajout_groupe.py gepnot
fi

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=geppst,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe geppst"
	/usr/share/eole/backend/ajout_groupe.py geppst
fi


echo "permissions  du dossier commun"
/usr/bin/setfacl -k --set user::rwx,group::r-x,other::r-x /data/applidos/commun


echo "permissions du dossier et des sous-dossiers commun/appli"
for fic in `find /data/applidos/commun/appli | grep -iv "/star"`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::---,group:gep:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gep:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::---,group:gep:r-x,mask::rwx,other::r-- $fic
	fi

done

echo "permissions pour sconet dossier commun/appli/gep/ini/"
/usr/bin/setfacl -m user::rwx,group::r-x,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:applidos:r--,default:group:gep:rwx,default:mask::rwx,default:other::r-- /data/applidos/commun/appli/gep/ini

echo "permissions des sous-dossiers commun/appli/gep/ini/"
for fic in `find /data/applidos/commun/appli/gep/ini/*`
do
        if [ -d $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r-x,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:applidos:r--,default:group:gep:rwx,default:mask::rwx,default:other::r-- $fic
        elif [ -f $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r--,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-- $fic
        fi
done

echo "permissions pour sconet dossier commun/appli/gep/journal/"
/usr/bin/setfacl -m user::rwx,group::r-x,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:applidos:r--,default:group:gep:rwx,default:mask::rwx,default:other::r-- /data/applidos/commun/appli/gep/journal

echo "permissions des sous-dossiers commun/appli/gep/journal/"
for fic in `find /data/applidos/commun/appli/gep/journal/*`
do
        if [ -d $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r-x,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:applidos:r--,default:group:gep:rwx,default:mask::rwx,default:other::r-- $fic
        elif [ -f $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r--,group:applidos:r--,group:gep:rwx,mask::rwx,other::r-- $fic
        fi
done

echo "permissions du dossier et des sous-dossiers commun/gep"
for fic in `find /data/applidos/commun/gep`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:gep:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gep:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gep:rwx,mask::rwx,other::r-- $fic
	fi
done


echo "permissions  du dossier commun/securite"
/usr/bin/setfacl -m user::rwx,group::r-x,group:gep:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:mask::rwx,default:other::r-- /data/applidos/commun/securite

echo "permissions du dossier et des sous-dossiers commun/securite/pwgep"
for fic in `find /data/applidos/commun/securite/pwgep`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gep:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gep:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gep:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwabs"
for fic in `find /data/applidos/commun/securite/pwabs`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepabs:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepabs:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepabs:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwaff"
for fic in `find /data/applidos/commun/securite/pwaff`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepaff:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepaff:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepaff:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwbee"
for fic in `find /data/applidos/commun/securite/pwbee`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepbee:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepbee:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepbee:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwcee"
for fic in `find /data/applidos/commun/securite/pwcee`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcee:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepcee:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcee:r-x,mask::rwx,other::r-- $fic
	fi

done

echo "permissions des sous-dossiers commun/securite/pwcet"
for fic in `find /data/applidos/commun/securite/pwcet`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcet:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepcet:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcet:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwcng"
for fic in `find /data/applidos/commun/securite/pwcng`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcng:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepcng:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepcng:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pweep"
for fic in `find /data/applidos/commun/securite/pweep`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepeep:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepeep:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepeep:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwget"
for fic in `find /data/applidos/commun/securite/pwget`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepget:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepget:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepget:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwgfe"
for fic in `find /data/applidos/commun/securite/pwgfe`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepgfe:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepgfe:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepgfe:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwgin"
for fic in `find /data/applidos/commun/securite/pwgin`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepgin:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepgin:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepgin:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwnot"
for fic in `find /data/applidos/commun/securite/pwnot`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepnot:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:gepnot:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:gepnot:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/securite/pwpst"
for fic in `find /data/applidos/commun/securite/pwpst`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:geppst:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:geppst:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:geppst:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions des sous-dossiers commun/telech2"
for fic in `find /data/applidos/commun/telech2`
do
	if [ -d $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group:gep:r-x,group::r--,mask::rwx,other::r--,default:user::rwx,default:group:gep:r-x,default:group::r--,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group:gep:r-x,group::r--,mask::rwx,other::r-- $fic
	fi

done

echo "GEP: application des droits terminée"

