#!/bin/bash
#MENU=Post installation pour STAGE
echo "STAGE : application des droits version 4 du 13/02/2006"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=stage,ou=local,ou=groupe'`" ] ; then 
		echo "Ajout du groupe stage"
		/usr/share/eole/backend/ajout_groupe.py stage
fi

echo "permissions  du dossier commun"
/usr/bin/setfacl -k --set user::rwx,group::r-x,other::r-x /data/applidos/commun


echo "Ajout des droits"
echo "permissions  du dossier commun/stage"
/usr/bin/setfacl -m user::rwx,group::r-x,group:stage:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:mask::rwx,default:other::r-- /data/applidos/commun/stage


echo "permissions du dossier et des sous-dossiers commun/stage/fichiers"
for fic in `find /data/applidos/commun/stage/fichiers`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:stage:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:stage:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:stage:rwx,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/stage/logiciel"
for fic in `find /data/applidos/commun/stage/logiciel`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:stage:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:stage:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::r--,group:stage:r-x,mask::rwx,other::r-- $fic
	fi

done

echo "STAGE : application des droits terminée"

