#!/bin/bash
#MENU=Post installation pour STAR
echo "STAR : application des droits version 5 du 13/02/2006"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=star,ou=local,ou=groupe'`" ] ; then 
		echo "Ajout du groupe star"
		/usr/share/eole/backend/ajout_groupe.py star
fi


echo "permissions  du dossier commun"
/usr/bin/setfacl -k --set user::rwx,group::r-x,other::r-x /data/applidos/commun


echo "permissions du dossier et des sous-dossiers commun/appli"
for fic in `find /data/applidos/commun/appli | grep -iv "/gep" | grep -iv "/educ"`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::---,group:star:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:star:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

	/usr/bin/setfacl -m user::rwx,group::---,group:star:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/star"
for fic in `find /data/applidos/commun/star`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:star:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/gs"
for fic in `find /data/applidos/commun/gs`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:star:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/appli/star"
for fic in `find /data/applidos/commun/appli/star`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:star:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/appli/star/exe"
for fic in `find /data/applidos/commun/appli/star/exe`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:star:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:star:rwx,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du fichier commun/star.bat"
/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r-- /data/applidos/commun/star.bat 


echo "permissions du fichier commun/gsinit.bat"
/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r-- /data/applidos/commun/gsinit.bat 

echo "permissions du fichier commun/gsstar.bat"
/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r-- /data/applidos/commun/gsstar.bat 


echo "permissions du fichier commun/starnet.bat"
/usr/bin/setfacl -m user::rwx,group::r--,group:star:r-x,mask::rwx,other::r-- /data/applidos/commun/starnet.bat 

echo "STAR : application des droits terminée"
