#!/bin/sh
#
#---------------------------------------------------
# Controle des services actifs
#
# Créer le fichier status utilisée par Eole-Admin
#
# Luc Bourdot (Dijon/08/2001)
# $Id: test-serv.sh,v 1.1.1.1 2004/01/05 10:25:51 eole Exp $
#---------------------------------------------------
. ParseDico

# test des interfaces et du routeur
echo -n "Reseau Local";
/usr/bin/sudo /usr/sbin/fping $adresse_ip_eth0 1>/dev/null 2>/dev/null

if [ $? -eq 0 ]
	then
	echo "is alive"
else
	echo "failed"
fi

# test des services serveur local
#test du serveur ldap 
echo -n "Annuaire";tcpcheck  3 localhost:389        #LDAP
#test du serveur samba
echo -n "Partage fichiers";tcpcheck 3 localhost:139 #SAMBA
#test du service imprimantes
echo -n "imprimantes";tcpcheck 3 localhost:631      #CUPS
#test du DHCP (facultatif)
#echo -n "DHCP";tcpcheck 3 localhost:67
# proposition de Fabrice pour le test DHCP
echo -n "DHCP"
if  [ -e /var/run/dhcpd/dhcpd.pid ]
then
	echo "is alive"
else
	echo "failed"
fi

# test  Mise à jour
echo -n "Mise à jour"
if [ -f /var/www/ead/tmp/rapport-maj.html ] ;then
   tail -2 /var/www/ead/tmp/rapport-maj.html  | grep -q "OK" 2>&1 >/dev/null
   if [ $? -eq 0 ]
	then
	echo "is alive"
   else
	echo "failed"
   fi
else
 echo "is alive"
fi

# test des services distants
#echo -n "Services Distants"
#tcpcheck  3 eole.ac-dijon.fr:80  www.renater.fr:80 www.ac-dijon.fr:80 | grep -q alive 
#RC=`expr $RC + $? `
#if [ $RC -eq 0 ]
#	then
#	echo "is alive"
#else
#	echo "failed"
#fi
