<?php

// d'après le travail de Fabrice Lacambra
// académie de Versailles

if (! isset($ok)) {
   // premier passage : message à afficher
   if ($suppuser) {
       if ($supphome == 'on'){
           $msg = "Supprimer l'utilisateur $user ET son répertoire personnel ?";
	   $url="&suppuser=on&user=$user&supphome=on";
       }else{
           $msg = "Supprimer l'utilisateur $user ?";
	   $url="&suppuser=on&user=$user&supphome=off";
       }
   }
   elseif ($suppgroup) {
      $msg = "Supprimer le groupe $groupe ?";
      $url="&suppgroup=on&groupe=$groupe";
   }
   elseif ($suppshare) {
      $msg = "Supprimer le partage $partage ?";
      $url="&suppshare=on&partage=$partage";
   }
   elseif ($suppcompte) {
      $msg = "Supprimer la station $compte ?";
      $url="&suppcompte=on&compte=$compte";
   }
    //accord =confirm(\"Votre annuaire LDAP va être modifié.\\nEtes-vous certain de vouloir exécuter les scripts ?\");

   echo "
   <script language=\"JavaScript\">
    var accord =false ;
    accord =confirm(\"$msg\");
    if(accord){
     location.href = '?ok=1$url';
    }
    else {
     location.href = '?ok=2';
    }
   </script>";

}elseif ($ok == 2) {

   $contenu.="<br>action annulée";

}else {

// code original

//##############################
// suppression d'un utilisateur
//##############################
if ($suppuser) {
   $cmd = "/usr/bin/id -un";
   $cmd2 = "$cmd $user";
   // test d'existance
   exec($cmd2,$test);
   if ($test[0] == ''){
       $contenu.="<br> utilisateur inexistant ou déjà supprimé";
   }
   else {
      // suppression du répertoire utilisateur
      if ( $supphome == 'on' ) {
         $contenu.="<br>suppression de l'utilisateur $user";
	 $contenu.="<br>suppression du répertoire de l'utilisateur $user";
	 `/usr/bin/sudo /usr/sbin/smbldap-userdel -r $user`;	 
      }
      else {
         $contenu.="<br>suppression de $user sans son répertoire";
	 `/usr/bin/sudo /usr/sbin/smbldap-userdel $user`;
      }
   }
}

//##############################
// suppression d'un groupe
//##############################
elseif ($suppgroup) {
   // test d'existance
   if (existe($groupe,'groupes')!=1) {
      $contenu.="<br> groupe $groupe inexistant ou déjà supprimé";
   }
   else {
      $contenu.="<br>suppression du groupe $groupe";
      `/usr/bin/sudo /usr/sbin/smbldap-groupdel $groupe`;
   }
}

//##############################
// suppression d'un partage
//##############################
elseif ($suppshare) {
   // test d'existance
   // (il y a des trucs devant le cn)*/
   if (existe("*/$partage",'partages')!=1) {
      $contenu.="<br> partage $partage inexistant ou déjà supprimé"; 
   }
   else {
      $contenu.="<br>suppression du partage $partage";
      `/usr/bin/sudo /usr/share/eole/backend/suppression_partage.py $partage`;
   }
}

//##############################
// suppression d'un compte machine
//##############################
elseif ($suppcompte) {
   // test d'existance
   if (existe_compte($compte)!=1) {
      $contenu.="<br> station $compte inexistante ou déjà supprimée";
   }
   else {
      $contenu.="<br>suppression de la station $compte";
      // suppression de la station
      `/usr/bin/sudo /usr/sbin/smbldap-userdel $compte`;
   }
}
// fin code original
}

?>

