<?

require('CBasePage.php');
require('CToolbar.php');
require('../libs/ldap.php');
 
class CLoginPage extends CBasePage
{
	var $m_arColor;


	function CLoginPage()
	{
		$this->CBasePage('../../index.php@Home@_top,CMainFrame.php@Gestionnaire de connections@MAIN_FRAME',
						 'Login',
						 'tpl_login.htm');
		$this->SetAdministratorPage(true);
						 
		$this->m_arColor['actif'][0]="#99FF88";
		$this->m_arColor['actif'][1]="#AAFFAA";
		$this->m_arColor['inactif'][0]="#FF9988";
		$this->m_arColor['inactif'][1]="#FFAAAA";
			
		$this->m_oToolbar=new CToolbar();
	}
	
	function DrawToolbar()
	{
		$this->m_oToolbar->AddButtonTool("javascript:EnableLogin()",
									 "Autoriser tous les utilisateurs","login_enable.gif",
									 "Autorise tous les utilisateurs<br> à pouvoir se connecter");
		$this->m_oToolbar->AddButtonTool("javascript:DisableLogin()",
									 "Interdire tous les utilisateurs","login_disable.gif",
									 "Interdit à tous les utilisateurs<br> de pouvoir se connecter");
									 
		$this->m_oToolbar->AddButtonTool("CMainFrame.php",
									 "Retour","no.gif",
									 "Retourne à la page précédente");
		
		
		//$this->m_oToolbar->AddTool("TODO","Déconnecter");
		
		$this->m_oToolbar->Draw();
	}
	
	function DrawUser($p_sListUser,$p_sType)
	{
		$array=explode(",",$p_sListUser);
		array_multisort($array,SORT_ASC, SORT_STRING);
		$line=0;
		while (list($key,$user) = each($array))
		{
			if (($user=="") /*|| ($user=="rectorat") || ($user=="install")*/)  continue;
			$line = ($line+1) % 2;
			$this->assign("USER",$user);
			$this->assign("COLOR",$this->m_arColor[$p_sType][$line]);
			$this->parse("main." . $p_sType . ".user");
		}
	
		$this->parse("main." . $p_sType );
	}
	
	
	function DrawActif($p_sListActif)
	{
		$this->DrawUser($p_sListActif,'actif');
	}
	
	
	function DrawCore()
	{
		
	
		$this->DrawToolbar();
		
		$contenu=GetValidComptes();
		list($listActif,$listInactif) = explode("@",$contenu);
		$this->assign("ALL_USERS",$listActif . "," . $listInactif);
		$this->DrawUser($listActif,'actif');
		$this->DrawUser($listInactif,'inactif');
		
		$this->parse("main");
		$this->out("main");
	}
	


}

$page = new CLoginPage();
$page->Draw();



?>