<?
class CTool
{
	var $m_sText;
	var $m_sTitle;
	var $m_sImage;


	function CTool($p_sTitle,$p_sText,$p_sImage)
	{
		$this->m_sText=$p_sText;
		$this->m_sTitle=$p_sTitle;
		$this->m_sImage=$p_sImage;
	}
	
	function Draw(&$p_oTemplate)
	{
		$p_oTemplate->assign("TITLE",$this->m_sTitle);
		$p_oTemplate->assign("TEXT",$this->m_sText);
		$p_oTemplate->assign("IMAGE",$this->m_sImage);
		$p_oTemplate->parseout("tool");	
	}

}


// ==============================================================
// class CButton
class CButton
{
		var $m_sText;
		var $m_sLink;
		var $m_sImage;
		var $m_sTool;
		var $m_sTarget;
		
		function CButton($p_sLink,$p_sText,$p_sImage,$p_sTarget)
		{	
			$this->m_sText=$p_sText;
			$this->m_sLink=$p_sLink;
			$this->m_sImage=$p_sImage;
			$this->m_sTarget=(strcmp($p_sTarget,"")==0)?"":" target='". trim($p_sTarget) . "' " ;
			$this->m_sTool="NULL_TOOLTIP";	
		}
		
		function AddToolText($p_sTool)
		{
			$this->m_sTool=$p_sTool;
		}
		
		function Draw(&$p_oTemplate)
		{
			$p_oTemplate->assign("LINK",$this->m_sLink);
			$p_oTemplate->assign("TEXT",$this->m_sText);
			$p_oTemplate->assign("IMAGE",$this->m_sImage);
			$p_oTemplate->assign("TARGET",$this->m_sTarget);
			//if ($this->m_sTool!="NULL") 
			{
				$p_oTemplate->assign("TOOL_TEXT",$this->m_sTool);
				$p_oTemplate->parse("main.tool");
			}
			/*else
				$p_oTemplate->parse("main.button");*/	
		}
};
// ========================================================

// class CToolbar ===========================================
class CToolbar extends CAbstractPage
{
	var $m_oArTool;

	function CToolbar()
	{
		$this->CAbstractPage('','','tpl_toolbar.htm');
	}
	
	function Draw()
	{
		while (list($key,$oTool) = each ($this->m_oArTool))
		{
			$oTool->Draw($this);
		}
		$this->parse("main");
		$this->out("main");
	}
	
	
	function AddButton($p_sLink,$p_sText, $p_sImage)
	{
		$this->m_oArTool[$p_sText]=new CButton($p_sLink,$p_sText,$p_sImage,"");
	}
	
	function AddButtonTool($p_sLink,$p_sText,$p_sImage,$p_sTool)
	{
		$oButton=new CButton($p_sLink,$p_sText,$p_sImage,"");
		$oButton->AddToolText($p_sTool);
		$this->m_oArTool[$p_sText]=$oButton;
	}
	
	function AddButtonEx($p_sButton)
	{
		list($p_sLink,$p_sText,$p_sImage,$p_sTool,$p_sTarget) = explode("@",$p_sButton);
		$this->m_oArTool[$p_sText]=new CButton($p_sLink,$p_sText,$p_sImage,$p_sTarget);
	}
	
	
	
}
// ===============================================================

?>